<?php
//----------------------------------------------------------------------//
// Initiate the plugin to add custom post type
//----------------------------------------------------------------------//
global $General,$post;
add_action("init", "custom_posttype_menu_wp_admin");
function custom_posttype_menu_wp_admin()
{
//===============EVENT SECTION START================
$custom_post_type = CUSTOM_POST_TYPE1;
$custom_cat_type = CUSTOM_CATEGORY_TYPE1;
$custom_tag_type = CUSTOM_TAG_TYPE1;

register_post_type(	"$custom_post_type", 
				array(	'label' 			=> CUSTOM_MENU_TITLE,
						'labels' 			=> array(	'name' 					=> 	CUSTOM_MENU_NAME,
														'singular_name' 		=> 	CUSTOM_MENU_SIGULAR_NAME,
														'add_new' 				=>  CUSTOM_MENU_ADD_NEW,
														'add_new_item' 			=>  CUSTOM_MENU_ADD_NEW_ITEM,
														'edit' 					=>  CUSTOM_MENU_EDIT,
														'edit_item' 			=>  CUSTOM_MENU_EDIT_ITEM,
														'new_item' 				=>  CUSTOM_MENU_NEW,
														'view_item'				=>  CUSTOM_MENU_VIEW,
														'search_items' 			=>  CUSTOM_MENU_SEARCH,
														'not_found' 			=>  CUSTOM_MENU_NOT_FOUND,
														'not_found_in_trash' 	=>  CUSTOM_MENU_NOT_FOUND_TRASH	),
						'public' 			=> true,
						'can_export'		=> true,
						'show_ui' 			=> true, // UI in admin panel
						'_builtin' 			=> false, // It's a custom post type, not built in
						'_edit_link' 		=> 'post.php?post=%d',
						'capability_type' 	=> 'post',
						'menu_icon' 		=> get_bloginfo('template_url').'/images/favicon.ico',
						'hierarchical' 		=> false,
						'rewrite' 			=> array("slug" => "$custom_post_type"), // Permalinks
						'query_var' 		=> "$custom_post_type", // This goes to the WP_Query schema
						'supports' 			=> array(	'title',
														'author', 
														'excerpt',
														'thumbnail',
														'comments',
														'editor', 
														'trackbacks',
														'custom-fields',
														'revisions') ,
						'show_in_nav_menus'	=> true ,
						'taxonomies'		=> array("$custom_cat_type","$custom_tag_type")
					)
				);

// Register custom taxonomy
register_taxonomy(	"$custom_cat_type", 
				array(	"$custom_post_type"	), 
				array (	"hierarchical" 		=> true, 
						"label" 			=> CUSTOM_MENU_CAT_LABEL, 
						'labels' 			=> array(	'name' 				=>  CUSTOM_MENU_CAT_TITLE,
														'singular_name' 	=>  CUSTOM_MENU_SIGULAR_CAT,
														'search_items' 		=>  CUSTOM_MENU_CAT_SEARCH,
														'popular_items' 	=>  CUSTOM_MENU_CAT_SEARCH,
														'all_items' 		=>  CUSTOM_MENU_CAT_ALL,
														'parent_item' 		=>  CUSTOM_MENU_CAT_PARENT,
														'parent_item_colon' =>  CUSTOM_MENU_CAT_PARENT_COL,
														'edit_item' 		=>  CUSTOM_MENU_CAT_EDIT,
														'update_item'		=>  CUSTOM_MENU_CAT_UPDATE,
														'add_new_item' 		=>  CUSTOM_MENU_CAT_ADDNEW,
														'new_item_name' 	=>  CUSTOM_MENU_CAT_NEW_NAME,	), 
						'public' 			=> true,
						'show_ui' 			=> true,
						"rewrite" 			=> true	)
				);
register_taxonomy(	"$custom_tag_type", 
				array(	"$custom_post_type"	), 
				array(	"hierarchical" 		=> false, 
						"label" 			=> CUSTOM_MENU_TAG_LABEL, 
						'labels' 			=> array(	'name' 				=>  CUSTOM_MENU_TAG_TITLE,
														'singular_name' 	=>  CUSTOM_MENU_TAG_NAME,
														'search_items' 		=>  CUSTOM_MENU_TAG_SEARCH,
														'popular_items' 	=>  CUSTOM_MENU_TAG_POPULAR,
														'all_items' 		=>  CUSTOM_MENU_TAG_ALL,
														'parent_item' 		=>  CUSTOM_MENU_TAG_PARENT,
														'parent_item_colon' =>  CUSTOM_MENU_TAG_PARENT_COL,
														'edit_item' 		=>  CUSTOM_MENU_TAG_EDIT,
														'update_item'		=>  CUSTOM_MENU_TAG_UPDATE,
														'add_new_item' 		=>  CUSTOM_MENU_TAG_ADD_NEW,
														'new_item_name' 	=>  CUSTOM_MENU_TAG_NEW_ADD,	),  
						'public' 			=> true,
						'show_ui' 			=> true,
						"rewrite" 			=> true	)
				);
}
//===============EVENT SECTION END================

/////The filter code to get the custom post type in the RSS feed
function myfeed_request($qv) {
	if (isset($qv['feed']))
		$qv['post_type'] = get_post_types();
	return $qv;
}
add_filter('request', 'myfeed_request');

add_filter( 'manage_edit-products_columns', 'templatic_edit_products_columns' ) ;

function templatic_edit_products_columns( $columns ) {
	global $General;
	$columns = array(
		'cb' => '<input type="checkbox" />',
		'title' => __( 'Título do Produto' ),
		'pli' => __( 'Imagem do Produto' ),
		'post_category' => __( 'Categories' ),
		'post_tags' => __( 'Tags' ),
		'price' => __( 'Preço('.get_option('currency').')' ),
		'istaxable' => __( 'É tributável?' ),
		'initstock' => __( 'Estoque' )
);
		if($General->is_storetype_digital())
		{
			$arry2 = array('digiprd' => __('Status' ));
			$columns =array_merge((array)$columns, (array)$arry2);
		}
	return $columns;
}

add_action( 'manage_products_posts_custom_column', 'templatic_manage_products_columns', 10, 2 );

function templatic_manage_products_columns( $column, $post_id ) {
	echo '<link href="'.get_template_directory_uri().'/monetize/admin.css" rel="stylesheet" type="text/css" />';
	global $post,$General,$Product;
	$data = get_post_meta( $post_id, 'key', true );
	switch( $column ) {
		/* If displaying the 'price' column. */
		case 'price' : 
			if($data['specialprice'] >= 0)
				echo $General->get_amount_format($data['price'],'1');
			else
				echo $General->get_amount_format($data['specialprice'],'1');
			break;
		case 'istaxable' :
			if($data['istaxable']!='')
			{
				echo "<font style=\"color:#006600;\">  ".__('Sim')."</font>";
			}else
			{
				echo "<font style=\"\">  ".__('Não')."</font>";
			}
			break;
		case 'initstock' :
			if($data['initstock']=='')
			{
				echo "Ilimitado";
			}elseif($data['initstock']=='0')
			{
				echo "Esgotado";
			}else
			{
				if($General->product_current_orders_count($post->ID) !=""){ 
				echo $General->product_current_orders_count($post->ID).'/'.number_format($data['initstock']);
				}else{
				echo number_format($data['initstock']);
				}
			}
			break;
		case 'post_category' :
			/* Get the post_category for the post. */
			$templ_events = get_the_terms($post_id,CUSTOM_CATEGORY_TYPE1);
			if (is_array($templ_events)) {
				foreach($templ_events as $key => $templ_event) {
					$edit_link = site_url()."/wp-admin/edit.php?".CUSTOM_CATEGORY_TYPE1."=".$templ_event->slug."&post_type=".CUSTOM_POST_TYPE1;
					$templ_events[$key] = '<a href="'.$edit_link.'">' . $templ_event->name . '</a>';
					}
				echo implode(' , ',$templ_events);
			}else {
				_e( 'Sem categoria' );
			}
			break;
			
		case 'post_tags' :
			/* Get the post_tags for the post. */
			$templ_event_tags = get_the_terms($post_id,CUSTOM_TAG_TYPE1);
			if (is_array($templ_event_tags)) {
				foreach($templ_event_tags as $key => $templ_event_tag) {
					$edit_link = site_url()."/wp-admin/edit.php?".CUSTOM_TAG_TYPE1."=".$templ_event_tag->slug."&post_type=".CUSTOM_POST_TYPE1;
					$templ_event_tags[$key] = '<a href="'.$edit_link.'">' . $templ_event_tag->name . '</a>';
				}
				echo implode(' , ',$templ_event_tags);
			}else {
				_e( 'Sem Tags' );
			}
				
			break;
		case 'pli' :
			$prd_img =  bdw_get_images($post_id,$img_size='thumb',$no_images=site_url().'/images/no-image.png');
			$product_image_arr = $Product->get_product_image($post,'large','post');
			$attachment_id = $product_image_arr[0]['id'];
			$alt = get_post_meta($attachment_id, '_wp_attachment_image_alt', true);
			$attach_data = get_post($attachment_id);
			$title = $attach_data->post_title;
			if($title ==''){ $title = $post->post_title; }
			if($alt ==''){ $alt = $post->post_title; }
			if($product_image_arr[0]){
				$crop_image = $General->vt_resize($attachment_id, $product_image_arr[0]['file'], 120, 120, $crop = true );
				$post_images = $crop_image['url'];
			}else
			{
				$post_images =  site_url().'/images/no-image-120.png';
			}
			//print_r($prd_img);
			if($prd_img)
			{
			echo "<img src='".$post_images."' title='".$post->post_title."' alt='".$post->post_title."'/>";
			}else
			{
			echo "<center><font style=\"\"> ".__('Não')."</font>";
			}
			break;
	   case 'digiprd':
		
			if($data['digital_product'])
			{
				echo "<a href=\"".$data['digital_product']."\" target=_blank title=\"Baixar/Conferir Produtos\" ><font style=\"color:#006600;\"> ".__('SIm')."</font></a>";
			}else
			{
				echo "<font style=\"\"> ".__('Não')."</font>";
			}
		
		/* Just break out of the switch statement for everything else. */
		default :
			break;
	}
}
add_filter( 'manage_edit-products_sortable_columns', 'templatic_products_sortable_columns' );

function templatic_products_sortable_columns( $columns ) {
	$columns['Title'] = 'post_title';
	$columns['post_category'] = 'pcategory';
	$columns['price'] = 'specialprice';
	return $columns;
}
?>